float MinX : register(c36);
float MinZ : register(c37);
float InvExtentsX : register(c38);
float InvExtentsZ : register(c39);

float2 ComputeShadowMap(float3 Pos){
	// Compute shadowmap coords
	float2 ShadowMap;
	ShadowMap.x = (Pos.z - MinZ) * InvExtentsZ;
	ShadowMap.y = (Pos.x - MinX) * InvExtentsX;

	return ShadowMap;
}